# Podręcznik użytkownika &kde;

Lauri
Watts
&Lauri.Watts.mail;
25 luty, 2005
Środowisko graficzne K
&kappname;
1

# `ark`

Narzędzie archiwizujące dla &kde;

    ark  --extract --extract-to --add --add-to --guess-name  katalog pliki archiwum Opcje ogólne dla KDE Opcje ogólne dla Qt

## Opis

&kappname; jest programem dla &kde;, służącym do operacji na różnych typach archiwów. Do tych operacji można zaliczyć przeglądanie, rozpakowywanie, tworzenie i modyfikację. Do typów archiwów można zaliczyć pliki tar, gzip, bzip2, zip, rar and lha (o ile zainstalowane zostały odpowiednie narzędzia pracujące w trybie tekstowym). &kappname; potrafi w środowisku &kde; ściśle współpracować z &konqueror-narzednik; przy wykonywaniu operacji na archiwach. Musisz tylko zainstalować wtyczkę integracyjną &konqueror-dopelniacz;, dostępną w pakiecie kdeaddons.

## Opcje

`--extract`

  Otwiera okno dialogowe rozpakowywania plików, wyłącza je po zakończonym rozpakowywaniu

`--extract-to katalog archiwum`

  Rozpakowuje archiwum do katalogu. Wyłącza się po zakończeniu pracy. katalog zostanie utworzony, jeśli nie istnieje.

`--add pliki`

  Pyta o nazwę archiwum, w celu dodania do niego plików. Wyłącza się po zakończeniu pracy.

`--add-to pliki archiwum`

  Dodaje pliki do archiwum. Wyłącza się po zakończeniu pracy. archiwum zostanie utworzone, jeśli nie istnieje.

`--guess-name folder archiwum`

  Używane z `--extract-to`. Użycie spowoduje, że archiwum zostanie rozpakowane do podfolderu katalogu, którego nazwą będzie nazwa archiwum bez rozszerzenia pliku.

## Środowisko

$`PATH`

  Programy tekstowe, używane do archiwów w &kappname; muszą być dostępne w ścieżce $`PATH`.

## Przykłady

``ark` `--extract-to --guess-name` `.` `jakieś-archiwum.tar.bz2``

  Spowoduje rozpakowanie `jakieś-archiwum.tar.bz2` do katalogu nazwanego `jakieś-archiwum`, znajdującego się w bieżącym katalogu.

``ark` `--add-to` `*.jpg` `obrazki.tar.bz2``

  Dodaje wszystkie obrazki, które mają rozszerzenie ".jpg", do archiwum `obrazki.tar.bz2`. Tworzy to archiwum, jeśli nie istnieje.

## Zobacz także

tar(1), gzip(1), bzip2(1), zip(1), rar(1), lha(1)

Bardziej szczegółowa dokumentacja dla użytkownika dostępna jest pod adresem help:/ark (wpisz ten adres URL w &konqueror-narzednik; lub uruchom ``khelpcenter` `help:/ark``).

## Autorzy

Opiekunem &ark-dopelniacz; jest Henrique Pinto stampede@coltec.ufmg.br

Ta strona manuala została napisana przez &Lauri.Watts; &Lauri.Watts.mail; dla &kde; 3.4.